-define(THROW(Message, Param),
	Error = lists:flatten(io_lib:format(Message, Param)),
	throw(Error)).

-define(THROW_OR_ERROR(Result),
	case Result of
	    {error, Error} ->
		throw(Error);
	    _ ->
		ok
	end).
